Bug 224649 - [LSI4.6 feat] iSCSI SW-Initiator driver in RHEL4 doesn't support iSNS
[LSI4.6 feat] iSCSI SW-Initiator driver in RHEL4 doesn't support iSNS
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike Christie
: FutureFeature
Depends On:
Blocks: 217099
  Show dependency treegraph
Reported: 2007-01-26 16:03 EST by Shailendra Hebsur
Modified: 2007-11-30 17:07 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-09 18:40:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Shailendra Hebsur 2007-01-26 16:03:39 EST
Description of problem:

1. Install the iSCSI driver src (Get the driver src from Redhat's source disc 1)

2. After installing the src, if 'ls' is executed on the src directory & below 
is the o/p,

# ls *
Changelog  COPYING  Makefile  README

auth  login

discovery  include  iscsi-auth.c  iscsi-config.c  iscsid.c  iscsi-io.c  iscsi-

include       iscsi-initiator.c  iscsi-portal.c    iscsi-task.c      
iscsi-attr.c  iscsi-ioctl.c      iscsi-recv-pdu.c  iscsi-xmit-pdu.c
iscsi-auth.c  iscsi-network.c    iscsi-session.c   Makefile

iscsi.h  iscsi-ioctl.h  iscsi-portal.h  iscsi-protocol.h  iscsi-version.h

iscsi.conf.5  iscsid.8  iscsi-ls.1  iscsi-rescan.1

include  iscsi.conf  md5.c  scripts  string-buffer.c

iscsi.spec.rh-7.x  iscsi.spec.rhel3-K2.6  Kconfig  README  README.patch

iscsi-boot  iscsi-device.c  iscsi-iname.c
[root@prince linux-iscsi-]#

3. The above directory o/p don't have src files to compile for iSNS which 
basically proves that it doesn't support iSNS

Host details:

# uname -a
Linux prince 2.6.9-42.ELsmp #1 SMP Wed Jul 12 23:32:02 EDT 2006 x86_64 x86_64 
x86_64 GNU/Linux

# cat /etc/redhat-release
Red Hat Enterprise Linux AS release 4 (Nahant Update 4)

# rpm -qa | grep -i iscsi

# lsmod | grep -i iscsi
iscsi_sfnet            95197  3
scsi_transport_iscsi    13377  1 iscsi_sfnet
scsi_mod              141457  9 

# modinfo iscsi_sfnet
filename:       /lib/modules/2.6.9-
parm:           max_initial_login_retries:Max number of times to retry logging 
into a target for the first time before giving up. The default is 3. Set to -1 
for no limit
version:        4:0.1.11-3 BA273FAEA64EA20472A07EC
license:        GPL
description:    iSCSI initiator
author:         Mike Christie and Cisco Systems, Inc.
depends:        scsi_transport_iscsi,scsi_mod
vermagic:       2.6.9-42.ELsmp SMP gcc-3.4

# modinfo scsi_transport_iscsi
filename:       /lib/modules/2.6.9-
license:        GPL
description:    iSCSI Transport Attributes
author:         Mike Christie
vermagic:       2.6.9-42.ELsmp SMP gcc-3.4
Comment 4 Andrius Benokraitis 2007-01-26 16:56:44 EST
Shailendra, this is a substantial feature requested for RHEL 4. Since we are
currently focusing our efforts on the open-iscsi codebase for RHEL 5, it could
be RHEL 4.6 or 4.7 until this may be included. I'll tentatively have this on the
list for 4.6, but this is assuming the iSNS code for RHEL 5.1 can be reused
enough to make it easy to include. We'll keep you posted.

In the meantime, it would be benefitial to monitor the iSNS upstream
functionality for RHEL 5.
Comment 5 Andrius Benokraitis 2007-01-26 16:58:27 EST
BTW: You may want to update your Bugzilla preferences to change your user
account from lsil.com to lsi.com. This will ensure future emails are delivered.

Go to:
Comment 8 RHEL Product and Program Management 2007-02-09 18:40:54 EST
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request. 

Note You need to log in before you can comment on or make changes to this bug.